## gkrellm2-cpufreq 0.6.4

=== Makefile ===
# Makefile for gkrellm cpufreq plugin

GTK_INCLUDE = `pkg-config gtk+-2.0 --cflags`
GTK_LIB = `pkg-config gtk+-2.0 --libs`

FLAGS = -O2 -Wall -fPIC $(GTK_INCLUDE)
LIBS = $(GTK_LIB)

LFLAGS = -shared -lcpufreq

CC = gcc $(CFLAGS) $(FLAGS)

OBJS = cpufreq.o

cpufreq.so: $(OBJS)
	$(CC) $(OBJS) -o cpufreq.so $(LFLAGS) $(LIBS)

install: cpufreq.so
	install -D -m 755 -s cpufreq.so $(DESTDIR)/usr/lib/gkrellm2/plugins/cpufreq.so
	install -g root -o root -D -m 755 cpufreqnextgovernor $(DESTDIR)/usr/sbin/cpufreqnextgovernor

install-sudo:
	echo "$(USER) ALL = (root) NOPASSWD: /usr/bin/cpufreq-set -c [0-9]* -g userspace" >> /etc/sudoers
	echo "$(USER) ALL = (root) NOPASSWD: /usr/bin/cpufreq-set -c [0-9]* -f [0-9]*" >> /etc/sudoers
	echo "$(USER) ALL = (root) NOPASSWD: /usr/sbin/cpufreqnextgovernor" >> /etc/sudoers

clean:
	rm -f *.o core *.so* *.bak *~

cpufreq.o: cpufreq.c

=== debian/changelog ===
gkrellm2-cpufreq (0.6.4-7) unstable; urgency=medium

  * Set Rules-Requires-Root to binary-targets in debian/control. (Closes: #1089338)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 08 Jan 2025 21:23:49 +0100

gkrellm2-cpufreq (0.6.4-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Add patch from Bernhard Übelacker fixing an undefined symbol.
    (Closes: #966638)

 -- Adrian Bunk <bunk@debian.org>  Sun, 07 Feb 2021 13:38:30 +0200

gkrellm2-cpufreq (0.6.4-6) unstable; urgency=medium

  * Remove stray characters in Section field in debian/control. (Closes: #939308)
  * Change Priority from extra to optional in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 04 Sep 2019 11:56:46 +0200

gkrellm2-cpufreq (0.6.4-5) unstable; urgency=medium

  * Fix text formatting of debian/patches/0001-Modify-Makefile-
    to-make-sure-linker-flags-are-proper.patch.
  * Add patch to modify Makefile to enable cross-builds. (Closes: #895297)
  * Add patch to modify Makefile to link against libcpupower. (Closes: #936063)
  * Replace libcpufreq-dev dependency with libcpupower-dev in debian/control.
  * Remove unneccessary commit hashes from debian/changelog.
  * Use my full name in debian/changelog.
  * Bump debhelper version to 12.
  * Verify and bump standards to 4.4.0 in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Mon, 02 Sep 2019 21:43:55 +0200

gkrellm2-cpufreq (0.6.4-4) unstable; urgency=low

  [ Bart Martens ]
  * Update debian/watch file.

  [ John Paul Adrian Glaubitz ]
  * Add lintian override for binary-without-manpage
    warning for usr/sbin/cpufreqnextgovernor.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 14 Jun 2013 00:28:51 +0200

gkrellm2-cpufreq (0.6.4-3) unstable; urgency=low

  * Add missing dependency for gkrellm (>= 2.0.0) in debian/control.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 30 May 2013 18:49:58 +0200

gkrellm2-cpufreq (0.6.4-2) unstable; urgency=low

  * Bump debhelper version to 9.
  * Use my full name in debian/control for maintainership.
  * Update homepage field in debian/control.
  * Add Vcs-* fields in debian/control.
  * Update and fix description in debian/control.
  * Remove boilerplate in debian/rules.
  * Remove boilerplate in debian/watch and update the watch URL.
  * Add missing debian/source/format for source format 3.0.
  * Verify and bump standards to 3.9.4 in debian/control.
  * Include patch to modify Makefile to make sure linker flags
    are properly passed for hardening.
  * Use proper upstream name for source package in
    debian/control and debian/changelog.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Thu, 16 May 2013 18:49:38 +0200

gkrellm2-cpufreq (0.6.4-1) unstable; urgency=low

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 10 May 2013 02:54:35 +0200

gkrellm2-cpufreq (0.6.3-1) unstable; urgency=low

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 10 May 2013 02:54:02 +0200

gkrellm2-cpufreq (0.6.2-1) unstable; urgency=low

  * New upstream release.

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Fri, 10 May 2013 02:52:32 +0200

gkrellm2-cpufreq (0.6.1-1) unstable; urgency=low

  * Initial release (Closes: #572289)

 -- John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>  Wed, 03 Mar 2010 01:40:07 +0100

=== debian/control ===
Source: gkrellm2-cpufreq
Section: x11
Priority: optional
Maintainer: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Build-Depends: debhelper (>= 12), libcpupower-dev, gkrellm (>= 2.1.4), libgtk2.0-dev
Standards-Version: 4.4.0
Rules-Requires-Root: binary-targets
Homepage: http://chw.populus.org/rub/7
Vcs-Git: git://github.com/glaubitz/gkrellm-cpufreq-debian.git
Vcs-Browser: https://github.com/glaubitz/gkrellm-cpufreq-debian

Package: gkrellm-cpufreq
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, gkrellm (>= 2.0.0)
Description: CPU frequency plugin for GKrellM
 gkrellm-cpufreq is an additional plugin for GKrellM that allows one
 to view and set the CPU clock frequency. It also displays the currently
 active CPU gouverner which has been set for cpufreq such as on-demand,
 performance  and powersave. The plugin is very useful when using
 tiling window managers such as awesome together with GKrellM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh  $@

=== debian/watch ===
version=3
http://chw.populus.org/rub/7 \
(?:.*/|.*=|)gkrellm2-cpufreq[\-\._](\d\S*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)(?:/\S*)?
# Bart Martens <bartm@debian.org>  Fri, 31 May 2013 03:49:35 +0000
